using System;
using System.Collections.Generic;
using C1.Win.C1FlexGrid;
using C1.Win.C1Themes;

namespace ControlExplorer.FlexGrid
{
    public partial class CustomTheme : C1DemoForm
    {

        public CustomTheme()
        {
            IsThemeable = false; // don't apply application theme
            InitializeComponent();

            // load and apply custom theme
            C1Theme customTheme = new C1Theme();
            customTheme.Load(@"Resources\CustomThemes\Office2016FlexGridExcelLike.c1themez");
            customTheme.ApplyThemeToControlTree(this);
            c1FlexGrid1.AllowFiltering = true;
        }        

        private void CustomTheme_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'c1DemoDataSet.Products' table. You can move, or remove it, as needed.
            this.productsTableAdapter.Fill(this.c1DemoDataSet.Products);
        }
    }
}
